THREATINT

We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Fathom (Privacy friendly web analytics)
Zendesk (Helpdesk and Chat)

Ok

Home | EN
Support
CVE
PUBLISHED

CVE-2024-2880

Improper Access Control in GitLab

AssignerGitLab
Reserved2024-03-25
Published2024-07-11
Updated2024-07-11

Description

An issue was discovered in GitLab CE/EE affecting all versions starting from 16.5 prior to 16.11.6, starting from 17.0 prior to 17.0.4, and starting from 17.1 prior to 17.1.2 in which a user with `admin_group_member` custom role permission could ban group members.



LOW: 2.7CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:L/A:N

Problem types

CWE-284: Improper Access Control

Product status

Default status
unaffected

16.5 before 16.11.6
affected

17.0 before 17.0.4
affected

17.1 before 17.1.2
affected

Credits

Thanks [ashish_r_padelkar](https://hackerone.com/ashish_r_padelkar) for reporting this vulnerability through our HackerOne bug bounty program finder

References

https://gitlab.com/gitlab-org/gitlab/-/issues/451921 (GitLab Issue #451921) issue-tracking permissions-required

https://hackerone.com/reports/2431597 (HackerOne Bug Bounty Report #2431597) technical-description exploit permissions-required

cve.org CVE-2024-2880

nvd.nist.gov CVE-2024-2880

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-2880
© Copyright 2024 THREATINT. Made in Cyprus with +